diff --git a/changelog b/changelog
index 88477f9..90b2e1c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080220 tpd src/hyper/bookvol11 add additional hyperdoc page translations
 20080219 tpd src/hyper/Makefile handle hyperdoc bitmaps properly
 20080219 tpd src/Makefile handle hyperdoc bitmaps properly
 20080219 tpd src/hyper/bookvol11 add additional hyperdoc page translations
diff --git a/src/hyper/bookvol11.pamphlet b/src/hyper/bookvol11.pamphlet
index 9335c11..b9f36fc 100644
--- a/src/hyper/bookvol11.pamphlet
+++ b/src/hyper/bookvol11.pamphlet
@@ -515,16 +515,21 @@ PAGES=rootpage.xhtml \
             dbopdigits.xhtml \
             dbopdimension.xhtml \
             dbopdivide.xhtml \
+            dbopei.xhtml \
             dbopeigenmatrix.xhtml \
             dbopeigenvalues.xhtml \
             dbopeigenvector.xhtml \
             dbopeigenvectors.xhtml \
             dbopelt.xhtml \
+            dbopequalsign.xhtml \
+            dbopeulerphi.xhtml \
             dbopeval.xhtml \
             dbopevenq.xhtml \
             dbopexp.xhtml \
+            dbopexquo.xhtml \
             dbopfactor.xhtml \
             dbopfactorfraction.xhtml \
+            dbopfibonacci.xhtml \
             dbopfiniteq.xhtml \
             dbopfirstdenom.xhtml \
             dbopfirstnumer.xhtml \
@@ -539,10 +544,12 @@ PAGES=rootpage.xhtml \
             dbopintegrate.xhtml \
             dbopinverse.xhtml \
             dbopinvmod.xhtml \
+            dbopjacobi.xhtml \
             dboplaurent.xhtml \
             dboplcm.xhtml \
             dbopleadingcoefficient.xhtml \
             dbopleadingmonomial.xhtml \
+            dboplegendre.xhtml \
             dboplength.xhtml \
             dboplimit.xhtml \
             dboplog.xhtml \
@@ -556,10 +563,12 @@ PAGES=rootpage.xhtml \
             dbopmin.xhtml \
             dbopminimumdegree.xhtml \
             dbopminus.xhtml \
+            dbopmoebiusmu.xhtml \
             dbopmonicdivide.xhtml \
             dbopmulmod.xhtml \
             dbopncols.xhtml \
             dbopnew.xhtml \
+            dbopnextprime.xhtml \
             dbopnorm.xhtml \
             dbopnrows.xhtml \
             dbopnthfractionalterm.xhtml \
@@ -569,6 +578,7 @@ PAGES=rootpage.xhtml \
             dbopnumberoffractionalterms.xhtml \
             dbopnumer.xhtml \
             dbopnumeric.xhtml \
+            dbopoddq.xhtml \
             dbopoperator.xhtml \
             dboporthonormalbasis.xhtml \
             dboppadicfraction.xhtml \
@@ -581,7 +591,10 @@ PAGES=rootpage.xhtml \
             dboppolygamma.xhtml \
             dboppositiveremainder.xhtml \
             dbopprefixragits.xhtml \
+            dbopprevprime.xhtml \
             dbopprimefactor.xhtml \
+            dbopprimeq.xhtml \
+            dbopprimes.xhtml \
             dboppuiseux.xhtml \
             dbopqelt.xhtml \
             dbopqseteltbang.xhtml \
@@ -608,7 +621,8 @@ PAGES=rootpage.xhtml \
             dbopseteltbang.xhtml \
             dbopsetrowbang.xhtml \
             dbopsetsubmatrixbang.xhtml \
-            dbopsimplify.xhtml\
+            dbopsign.xhtml \
+            dbopsimplify.xhtml \
             dbopsec.xhtml \
             dbopsech.xhtml \
             dbopseries.xhtml \
@@ -641,6 +655,7 @@ PAGES=rootpage.xhtml \
             dbopvertconcat.xhtml \
             dbopwholepart.xhtml \
             dbopwholeragits.xhtml \
+            dbopzeroq.xhtml \
             dbopzeroof.xhtml \
             dbopzerosof.xhtml \
             dbpolynomialinteger.xhtml \
@@ -3673,10 +3688,288 @@ abstract algebra
 \subsection{basicfunctions.xhtml}
 <<basicfunctions.xhtml>>=
 <<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
  </head>
  <body>
 <<page head>>
-basicfunctions not implemented
+The size of an integer in Axiom is only limited by the amount of 
+computer storage you have available. The usual arithmetic operations
+are available.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="2^(5678-4856+2*17)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+There are a number of ways of working with the sign of an integer.
+Let's use this x as an example.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="x:=-101" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+First of all, there is the absolute value function.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="abs(x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopsign.xhtml">sign</a> operation returns -1 if its 
+argument is negative, 0 if zero and 1 if positive.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="sign(x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You can determine if an integer is negative in several other ways.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="x &lt; 0" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p2','p6']);"
+    value="x &lt;= -1" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p2','p7']);"
+    value="negative?(x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Similarly, you can find out if it is positive.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p2','p8']);"
+    value="x > 0" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p2','p9']);"
+    value="x >= 1" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p2','p10']);"
+    value="positive?(x)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+This is the recommended way of determining whether an integer is zero.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p2','p11']);"
+    value="zero?(x)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+<hr/>
+Use the <a href="dbopzeroq.xhtml">zero?</a> operation whenever you are
+testing any mathematical object for equality with zero. This is usually
+more efficient than using <a href="dbopequalsign.xhtml">=</a> (think of
+matrices; it is easier to tell if a matrix is zero by just checking term 
+by term than constructing another ``zero'' matrix and comparing the
+two matrices term by term) and also avoids the problem that
+<a href="dbopequalsign.xhtml">=</a> is usually used for creating equations.
+<hr/>
+This is the recommended way of determining whether an integer is
+equal to one.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p2','p12']);"
+    value="one?(x)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+This syntax is used to test equality using <a href="dbopequalsign.xhtml">=</a>.
+It says that you want a <a href="db.xhtml?Boolean">Boolean</a> (true or
+false) answer rather than an equation.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p2','p13']);"
+    value="(x=-101)@Boolean" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+The operations <a href="dbopoddq.xhtml">odd?</a> and
+<a href="dbopevenq.xhtml">even?</a> determine whether an integer is odd 
+or even, respectively. They each return a 
+<a href="db.xhtml?Boolean">Boolean</a> object.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p2','p14']);"
+    value="odd?(x)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p2','p15']);"
+    value="even?(x)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopgcd.xhtml">gcd</a> computes the greatest
+common divisor of two integers.
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="makeRequest('p16');"
+    value="gcd(56788,43688)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboplcm.xhtml">lcm</a> computes their least
+common multiple.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="lcm(56788,43688)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+To determine the maximum of two integers, use <a href="dbopmax.xhtml">max</a>.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="max(678,567)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+To determine the minimum, use <a href="dbopmin.xhtml">min</a>.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="makeRequest('p19');"
+    value="min(678,567)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopreduce.xhtml">reduce</a> operation is used to extend 
+binary operations to more than two arguments. For example, you can use
+<a href="dbopreduce.xhtml">reduce</a> to find the maximum integer in a
+list or compute the least common multiple of all integers in the list.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="makeRequest('p20');"
+    value="reduce(max,[2,45,-89,78,100,-45])" />
+  <div id="ansp20"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="makeRequest('p21');"
+    value="reduce(min,[2,45,-89,78,100,-45])" />
+  <div id="ansp21"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="makeRequest('p22');"
+    value="reduce(gcd,[2,45,-89,78,100,-45])" />
+  <div id="ansp22"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+    onclick="makeRequest('p23');"
+    value="reduce(lcm,[2,45,-89,78,100,-45])" />
+  <div id="ansp23"><div></div></div>
+ </li>
+</ul>
+The infix operator "/" is not used to compute the quotient of integers.
+Rather, it is used to create rational numbers as described in 
+<a href="db.xhtml?Fraction">Fraction</a>.
+<ul>
+ <li>
+  <input type="submit" id="p24" class="subbut" 
+    onclick="makeRequest('p24');"
+    value="13/4" />
+  <div id="ansp24"><div></div></div>
+ </li>
+</ul>
+The infix operation <a href="dbopquo.xhtml">quo</a> computes the integer
+quotient.
+<ul>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+    onclick="makeRequest('p25');"
+    value="13 quo 4" />
+  <div id="ansp25"><div></div></div>
+ </li>
+</ul>
+The infix operation <a href="dboprem.xhtml">rem</a> computes the integer
+remainder.
+<ul>
+ <li>
+  <input type="submit" id="p26" class="subbut" 
+    onclick="makeRequest('p26');"
+    value="13 rem 4" />
+  <div id="ansp26"><div></div></div>
+ </li>
+</ul>
+One integer is evenly divisible by another if the remainder is zero.
+The operation <a href="dbopexquo.xhtml">exquo</a> can also be used.
+See <a href="axbook/section-2.5.xhtml">Unions</a>. for an example.
+<ul>
+ <li>
+  <input type="submit" id="p27" class="subbut" 
+    onclick="makeRequest('p27');"
+    value="zero?(167604736446952 rem 2003644)" />
+  <div id="ansp27"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopdivide.xhtml">divide</a> returns a record of
+the quotient and remainder and thus is more efficient when both are needed.
+<ul>
+ <li>
+  <input type="submit" id="p28" class="subbut" 
+    onclick="makeRequest('p28');"
+    value="d:=divide(13,4)" />
+  <div id="ansp28"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p29" class="subbut" 
+    onclick="handleFree(['p28','p29']);"
+    value="d.quotient" />
+  <div id="ansp29"><div></div></div>
+ </li>
+</ul>
+Records are discussed in detail in 
+<a href="axbook/section-2.4.xhtml">Records</a>.
+<ul>
+ <li>
+  <input type="submit" id="p30" class="subbut" 
+    onclick="handleFree(['p28','p30']);"
+    value="d.remainder" />
+  <div id="ansp30"><div></div></div>
+ </li>
+</ul>
 <<page foot>>
 @
 \subsection{basiclimit.xhtml}
@@ -8441,6 +8734,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopei.xhtml}
+<<dbopei.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopei not implemented
+<<page foot>>
+@
+
 \subsection{dbopeigenmatrix.xhtml}
 <<dbopeigenmatrix.xhtml>>=
 <<standard head>>
@@ -8481,6 +8784,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopequalsign.xhtml}
+<<dbopequalsign.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopequalsign not implemented
+<<page foot>>
+@
+
 \subsection{dbopelt.xhtml}
 <<dbopelt.xhtml>>=
 <<standard head>>
@@ -8491,6 +8804,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopeulerphi.xhtml}
+<<dbopeulerphi.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopeulerphi not implemented
+<<page foot>>
+@
+
 \subsection{dbopeval.xhtml}
 <<dbopeval.xhtml>>=
 <<standard head>>
@@ -8521,6 +8844,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopexquo.xhtml}
+<<dbopexquo.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopexquo not implemented
+<<page foot>>
+@
+
 \subsection{dbopfactor.xhtml}
 <<dbopfactor.xhtml>>=
 <<standard head>>
@@ -8541,6 +8874,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopfibonacci.xhtml}
+<<dbopfibonacci.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfibonacci not implemented
+<<page foot>>
+@
+
 \subsection{dbopfiniteq.xhtml}
 <<dbopfiniteq.xhtml>>=
 <<standard head>>
@@ -8681,6 +9024,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopjacobi.xhtml}
+<<dbopjacobi.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopjacobi not implemented
+<<page foot>>
+@
+
 \subsection{dboplaurent.xhtml}
 <<dboplaurent.xhtml>>=
 <<standard head>>
@@ -8721,6 +9074,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dboplegendre.xhtml}
+<<dboplegendre.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboplegendre not implemented
+<<page foot>>
+@
+
 \subsection{dboplength.xhtml}
 <<dboplength.xhtml>>=
 <<standard head>>
@@ -8851,6 +9214,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopmoebiusmu.xhtml}
+<<dbopmoebiusmu.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopmoebiusmu not implemented
+<<page foot>>
+@
+
 \subsection{dbopmonicdivide.xhtml}
 <<dbopmonicdivide.xhtml>>=
 <<standard head>>
@@ -8891,6 +9264,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopnextprime.xhtml}
+<<dbopnextprime.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnextprime not implemented
+<<page foot>>
+@
+
 \subsection{dbopnorm.xhtml}
 <<dbopnorm.xhtml>>=
 <<standard head>>
@@ -8951,6 +9334,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopoddq.xhtml}
+<<dbopoddq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopoddq not implemented
+<<page foot>>
+@
+
 \subsection{dbopoperator.xhtml}
 <<dbopoperator.xhtml>>=
 <<standard head>>
@@ -9101,6 +9494,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopprevprime.xhtml}
+<<dbopprevprime.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprevprime not implemented
+<<page foot>>
+@
+
 \subsection{dbopprimefactor.xhtml}
 <<dbopprimefactor.xhtml>>=
 <<standard head>>
@@ -9111,6 +9514,26 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopprimeq.xhtml}
+<<dbopprimeq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprimeq not implemented
+<<page foot>>
+@
+
+\subsection{dbopprimes.xhtml}
+<<dbopprimes.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprimes not implemented
+<<page foot>>
+@
+
 \subsection{dboppuiseux.xhtml}
 <<dboppuiseux.xhtml>>=
 <<standard head>>
@@ -9381,6 +9804,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopsign.xhtml}
+<<dbopsign.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsign not implemented
+<<page foot>>
+@
+
 \subsection{dbopsimplify.xhtml}
 <<dbopsimplify.xhtml>>=
 <<standard head>>
@@ -9661,6 +10094,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopzeroq.xhtml}
+<<dbopzeroq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopzeroq not implemented
+<<page foot>>
+@
+
 \subsection{dbopzeroof.xhtml}
 <<dbopzeroof.xhtml>>=
 <<standard head>>
@@ -41462,10 +41905,83 @@ You can also substitute numerical values for some or all of the variables.
 \subsection{primesandfactorization.xhtml}
 <<primesandfactorization.xhtml>>=
 <<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
  </head>
  <body>
 <<page head>>
-primesandfactorization not implemented
+Use the operation <a href="dbopfactor.xhtml">factor</a> to factor integers.
+It returns an object of type <a href="db.xhtml?Factored(Integer)">
+Factored Integer</a>. See <a href="factored.xhtml">Factored</a> for a
+discussion of the manipulation of factored objects.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="factor 102400" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopprimeq.xhtml">prime?</a> returns true or false
+depending on whether its argument is a prime.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="prime? 7" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="prime? 8" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopnextprime.xhtml">nextPrime</a> returns the
+least prime greater than its argument.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="nextPrime 100" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopprevprime.xhtml">prevPrime</a> returns the 
+greatest prime less than its argument
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="prevPrime 100" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+To compute all primes between two integers (inclusively), use the 
+operation <a href="dbopprimes.xhtml">primes</a>.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="primes(100,175)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+You might sometimes want to see the factorization of an integer when it is
+considered a Gaussian integer. See <a href="db.xhtml?Complex">Complex</a>
+for more details.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="factor(2::Complex Integer)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+
 <<page foot>>
 @
 
@@ -42366,10 +42882,97 @@ Enter the size of the matrix:
 \subsection{somenumbertheoreticfunctions.xhtml}
 <<somenumbertheoreticfunctions.xhtml>>=
 <<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
  </head>
  <body>
 <<page head>>
-somenumbertheoreticfunctions not implemented
+Axiom provides several number theoretic operations for integers.
+More examples are in <a href="integernumbertheoryfunctions.xhtml">
+IntegerNumberTheoryFunctions</a>.
+
+The operation <a href="dbopfibonacci.xhtml">fibonacci</a> computes the
+Fibonacci numbers. The algorithm has running time O(log(n)^3) for
+argument n.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="[fibonacci(i) for i in 0..]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboplegendre.xhtml">legendre</a> computes the 
+Legendre symbol for its two integer arguments where the second one is prime.
+If you know the second argument to be prime, use 
+<a href="dbopjacobi.xhtml">jacobi</a> instead where no check is made.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="[legendre(i,11) for i in 0..10]" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopjacobi.xhtml">jacobi</a> computes the Jacobi 
+symbol for its two integer arguments. By convention, 0 is returned if
+the greatest common divisor of the numerator and denominator is not 1.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="[jacobi(i,15) for i in 0..9]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopeulerphi.xhtml">eulerPhi</a> computes the 
+values of Euler's phi function where phi(n) equals the number of positive
+integers less than or equal to n that are relatively prime to the positive
+integer n.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="[eulerPhi i for i in 1..]" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopmoebiusmu.xhtml">moebiusMu</a> 
+computes the Moebius mu function.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="[moebiusMu i for i in 1..]" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+The Ei function computes the <a href="dbopei.xhtml">Exponential Integral</a>.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="[Ei(x/10.0) for x in 1..10]" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Although they have somewhat limited utility, Axiom provides Roman numerals.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="a:=roman(78)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="b:=roman(87)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
 <<page foot>>
 @
 
